Subject: [mpls] LDP IPv6

From: Vishwas Manral <[email-masked]>
Date: Tue, 6 Apr 2010 12:23:23 -0700

Hi folks,

http://tools.ietf.org/html/draft-manral-mpls-ldp-ipv6-03

We have a new version of the LDP IPv6 draft. The draft has been around
since 2008, however we are now seeing operators asking for it (and can
be seen in some discussions in the RIPE mailing lists).

We would want to hear comments on the same from the list.

Thanks,
Vishwas

---

From: Mark Tinka <[email-masked]>
Date: Thu, 8 Apr 2010 12:21:10 +0800

On Thursday 08 April 2010 12:16:01 pm Vishwas Manral wrote:

> We have a new version of the LDP IPv6 draft. The draft
>  has been around since 2008, however we are now seeing
>  operators asking for it (and can be seen in some
>  discussions in the RIPE mailing lists).
> 

I've been tracking this draft since it first appeared, and 
the latest iteration addresses some of the aspects I 
previously thought about.

I'm in support of this draft, and as an operator with a 100% 
MPLS and BGP-free core (for IPv4, anyway), I'd be glad to 
see vendors begin implementation plans.

Cheers,

Mark.

---

From: <[email-masked]>
Date: Mon, 12 Apr 2010 13:43:02 +0200

Hi, 

I think that IPv6 for LDP is getting more and more important. Even with private IPv4 addresses - depending on network size and addressing scheme - for mid and long term it is definitely a good idea to take IPv6 into account!

I've also a short comment regarding the draft. It states:

  "This document preserves the usage of 32-bit LSR Id on an IPv6 only
   LSR and allows the usage of a common LDP identifier i.e. same LSR-Id
   and same Label space id for IPv4 and IPv6 on a dual-stack LSR. This
   rightly enables the per-platform label space to be shared between
   IPv4 and IPv6."

At the moment providers tend to use an IPv4 address as LSR ID and I wonder about the operational impact if this is going to be moved towards a more abstract ID.

  Regards

    Nic

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Vishwas Manral
Gesendet: Dienstag, 6. April 2010 21:23
An: [email-masked]
Betreff: [mpls] LDP IPv6

Hi folks,

Thanks,
Vishwas
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: Vishwas Manral <[email-masked]>
Date: Mon, 12 Apr 2010 07:55:26 -0700

Hi Nic,

We now see the requirement from a few carriers like Trentino Network
and a few others for IPv6 in the core, which they want to deploy now.
They have actually made these requirements on the field. I agree its
probably not the same with the bigger carriers yet.

For the TE extensions for IPv6 in Routing protocols we still assume
the Router ID is 32 bits, so that remains the same with LDP.

Though I think LSR-ID 32 bit should not make a difference in the LDP
context, if however we need a routable IPv6 address loopback address
was required, we could advertize that as a seperate TLV which could
map on a one-to-one basis to an IPv6 address.

Let me look further into this and get back to you.

Thanks,
Vishwas

---

From: Vishwas Manral <[email-masked]>
Date: Mon, 12 Apr 2010 09:40:47 -0700

Hi Nic,

I noticed that RFC 5329 has the Router IPv6 Address TLV. Does this
serve your purpose or not?

BTW, thanks a lot for supporting this effort. Like I said I know a lot
of operators (maily Europe and Asia) want the specs for this to be
finalized and I am just hoping they can speak up in the mailing list
too.

Thanks,
Vishwas

---

From: Vishwas Manral <[email-masked]>
Date: Tue, 13 Apr 2010 07:00:17 -0700

Egor,

Thanks for your support.

-Vishwas

---------- Forwarded message ----------
From: Egor Zimin <[email-masked]>
Date: Tue, Apr 13, 2010 at 1:05 AM
Subject: Re: [mpls] LDP IPv6
To: Vishwas Manral <[email-masked]>

I'm in support of this draft.

LDPv6 can be used, for example in complex VPNv6 CsC scenarios as a
label distribution protocol between CsC-PE and CsC-CE.

Btw, some leading vendors still say "We have no LDP over IPv6
implementation, because LDPv6 specification still have "draft" status.

2010/4/6 Vishwas Manral <[email-masked]>

--
Best regards,
Egor Zimin

---

From: Rob Shakir <[email-masked]>
Date: Wed, 14 Apr 2010 15:04:49 +0100

Hi Vishwas,

> finalized and I am just hoping they can speak up in the mailing list

I'd just like to speak up in support of this draft also. As an operator that is progressing an IPv6 rollout, we are finding that in a number of places, the only need to utilise 6PE is in order to address the lack of support for IPv6 in LDP.

Whilst I think it's unlikely that many operators are currently putting this down as a mandatory requirement, it's definitely something that I believe is required.

Kind regards,
Rob

-- 
Rob Shakir                      <[email-masked]>
Network Development Engineer    GX Networks/Vialtus Solutions
ddi: +44208 587 6077            mob: +44797 155 4098
pgp: 0xc07e6deb                 nic-hdl: RJS-RIPE

This email is subject to: http://www.vialtus.com/disclaimer.html

---

From: Mikael Abrahamsson <[email-masked]>
Date: Thu, 15 Apr 2010 08:01:29 +0200 (CEST)

On Wed, 14 Apr 2010, Rob Shakir wrote:

> I'd just like to speak up in support of this draft also. As an operator 
> that is progressing an IPv6 rollout, we are finding that in a number of 
> places, the only need to utilise 6PE is in order to address the lack of 
> support for IPv6 in LDP.

+1 from me as well, I'm actually surprised that there hasn't been more 
work in establishing feature parity between IPv4 and IPv6 in the control 
plane. I'd imagine that by now it would be possible to implement 
standards-based IPv6 only control plane with equal functionality as is 
today possible with IPv4.

> Whilst I think it's unlikely that many operators are currently putting 
> this down as a mandatory requirement, it's definitely something that I 
> believe is required.

Considering IPv4 runout I definitely see greenfield rollout in 1-2 years 
wanting to do this IPv6 only, and considering code usually takes time to 
be finished the standards should definitely be done by now.

What else is missing?

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Vishwas Manral <[email-masked]>
Date: Fri, 16 Apr 2010 09:39:32 -0700

Hi Egor,

We were using the wrong alias it is [email-masked] and not [email-masked].

Thanks,
Vishwas

---------- Forwarded message ----------
From: Vishwas Manral <[email-masked]>
Date: Fri, Apr 16, 2010 at 6:59 AM
Subject: Re: [mpls] LDP IPv6
To: Egor Zimin <[email-masked]>
Cc: Mikael Abrahamsson <[email-masked]>, Rob Shakir
<[email-masked]>, [email-masked], [email-masked]

Hi Egor,

1. As Mikael brought out the question of what else is missing I
brought up the MIB and RSVP-TE issues. I will bring the details out in
another mail with the correct subject line.
2. I guess now that we have more knowledge of the draft we can
actually try to push it further.

Thanks,
Vishwas

On Fri, Apr 16, 2010 at 1:03 AM, Egor Zimin <[email-masked]> wrote:
> Hi, Vishwas,
>
> 1. About RSVP-TE and IPv6 Router Alert option.
> I do not quite understand your opinion.
> Do you propose to remove Router Alert option for IPv6 ? Why ? Because of
> lack of RSVP-TE IPv6 implementations alone ? Because of only RSVP TE uses
> this option ? Also, what security issues do you mean ?
> And... what does that have to LDPv6 draft discussion?
>
> 2. About draft-manral-mpls-ldp-ipv6-03:
> I think, the changes and clarifications proposed in the draft are very
> obvious and not so significant. In fact, the draft only clarifies peer
> discovery and transport session establishment procedures for IPv6. I don't
> understand why this draft has not yet become RFC.
>
> 2010/4/15 Vishwas Manral <[email-masked]>
>>
>> Hi Mikael/ Rob/ Farhan/ Egor,
>>
>> > Considering IPv4 runout I definitely see greenfield rollout in 1-2
>> > years wanting to do this IPv6 only, and considering code usually
>> > takes time to be finished the standards should definitely be done
>> > by now.
>> >
>> > What else is missing?
>> Let me begin by saying that most drafts/ RFC's have some IPv6
>> component to them. This however is appended as an add-on in some
>> cases. As most of these have not been looked at in detail there are
>> some holes in the RFC for IPv6.
>>
>> I found similar holes a couple of years back and wrote this and the
>> MPLS-TC IPv6 MIB draft. I also noticed that for RSVP-TE for IPv6 we do
>> not have support for Router Alert in a lot of platforms. It also has
>> all the security issues aside from that.
>>
>> As RSVP-TE seems to be carrying Router Alert as a legacy thing and as
>> RSVP-TE IPv6 is not implemented on the field I think it would be good
>> to do away, remove the use of Router Alert in RSVP for IPv6.
>>
>> What do folks on the list think?
>>
>> BTW, I had mails from a couple of more operators in private and have
>> forwarded them to the chairs.
>>
>> Thanks,
>> Vishwas
>>
>> On Wed, Apr 14, 2010 at 11:01 PM, Mikael Abrahamsson <[email-masked]>
>> wrote:
>> > work
>> > in establishing feature parity between IPv4 and IPv6 in the control
>> > plane.
>> > I'd imagine that by now it would be possible to implement
>> > standards-based
>> > IPv6 only control plane with equal functionality as is today possible
>> > with
>> > IPv4.
>> >
>> > be
>> > finished the standards should definitely be done by now.
>> >
>> > What else is missing?
>> >
>> > --

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Tue, 20 Apr 2010 23:51:56 -0500

Hi Nic,

While the de facto practice is to assign the IPv4 address to the LSR-ID, strictly speaking (per RFC5036), it just needs to be a globally unique value (and doesn't need to be an IPv4 address) to identify the LSR.

Note that the LDP session is formed using the IP address encoded in the optional 'Transport Address TLV', not using what's encoded in the LSR-Id field. Pls see section 6.1 for more details on this -
http://tools.ietf.org/html/draft-manral-mpls-ldp-ipv6-03#section-6.1

Hence, its usage should be sufficient for LDP IPv6. 

Cheers,
Rajiv

PS: It might be a good idea to add the above clarification in section 4 to avoid any confusion.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Vishwas Manral
> Sent: Monday, April 12, 2010 12:41 PM
> To: [email-masked]
> Cc: [email-masked]
> >> I think that IPv6 for LDP is getting more and more important. Even
> with private IPv4 addresses - depending on network size and addressing
> scheme - for mid and long term it is definitely a good idea to take
> IPv6 into account!
> >>
> >> At the moment providers tend to use an IPv4 address as LSR ID and I
> wonder about the operational impact if this is going to be moved
> towards a more abstract ID.
> >>
> >>  Regards
> >>
> >>    Nic
> >>